Bug 10838 - Silence warnings in members/member.pl
Summary: Silence warnings in members/member.pl
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Patrons (show other bugs)
Version: master
Hardware: All All
: P5 - low minor (vote)
Target Milestone: ---
Assignee: Chris Cormack
QA Contact: Testopia
URL:
Whiteboard:
Keywords:
Depends on: 10835
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-07 03:22 UTC by Chris Cormack
Modified: 2014-12-07 20:02 UTC (History)
2 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 10838 : Silence warns in members/member.pl (3.09 KB, patch)
2013-09-07 03:34 UTC, Chris Cormack
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 10838 : Silence warns in members/member.pl (3.19 KB, patch)
2013-09-09 13:20 UTC, Owen Leonard
Details | Diff | Splinter Review
[PASSED QA] Bug 10838 : Silence warns in members/member.pl (3.24 KB, patch)
2013-09-10 20:25 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Chris Cormack 2013-09-07 03:22:08 UTC

    
Comment 1 Chris Cormack 2013-09-07 03:34:09 UTC Comment hidden (obsolete)
Comment 2 Owen Leonard 2013-09-09 13:20:55 UTC Comment hidden (obsolete)
Comment 3 Katrin Fischer 2013-09-10 20:25:30 UTC
Created attachment 20974 [details] [review]
[PASSED QA] Bug 10838 : Silence warns in members/member.pl

To test

1/ Uncomment the use warnings line
2/ Search for a patron, notice all the warnings
3/ Browse for a patron, notice warnings
4/ Apply patch
5/ Repeat 3 and 4
6/ Notice no errors and the search still works

This depends on the patch for Bug 10835

Signed-off-by: Chris Cormack <chris@bigballofwax.co.nz>
Signed-off-by: Owen Leonard <oleonard@myacpl.org>
Signed-off-by: Katrin Fischer <Katrin.Fischer.83@web.de>
Passes all tests, no regressions found.
Comment 4 Galen Charlton 2013-09-16 15:50:56 UTC
Pushed to master, along with a follow-up that silences another warning.  Thanks, Chris!